Межсайтовый скриптинг в TangoCMS

Дата публикации:
26.02.2009
Дата изменения:
26.02.2009
Всего просмотров:
1646
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
TangoCMS 2.x
Уязвимые версии: TangoCMS версии до 2.2.4

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в функции "hook_cntrlr_error_output()" в сценарии modules/page/hooks/listeners.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: tangocms.org

Решение: Установите последнюю версию 2.2.4 с сайта производителя.

Ссылки: http://tangocms.org/article/view/2.2.4-released

или введите имя

CAPTCHA